--- old/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_004_pos.ksh	Wed Feb 12 15:13:39 2020
+++ new/usr/src/test/zfs-tests/tests/functional/zvol/zvol_misc/zvol_misc_004_pos.ksh	Wed Feb 12 15:13:39 2020
@@ -28,6 +28,7 @@
 #
 # Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
+# Copyright 2020 Joyent, Inc.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,7 +55,8 @@
 		safe_dumpadm $savedumpdev
 	fi
 
-	swap -l | grep -w $voldev > /dev/null 2>&1
+	swap -l | awk 'NR > 1 { print $1 }' | \
+	    grep "^$voldev\$" > /dev/null 2>&1
         if (( $? == 0 ));  then
 		log_must swap -d $voldev
 	fi
